Bug 40835 - Improve enable managed linker error message.
Summary: Improve enable managed linker error message.
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: XI 9.8 (tvOS / C7)
Hardware: PC Mac OS
: Low enhancement
Target Milestone: Untriaged
Assignee: Vincent Dondain [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2016-05-03 18:44 UTC by Matt Ward
Modified: 2017-01-09 03:18 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Matt Ward 2016-05-03 18:44:08 UTC
With Xcode 7.1.1, Xamarin Studio 6.0.0.5104 and Xamarin.iOS 9.8.0.284 installed when I create a single view iOS project and build it I get a compiler error:

MTOUCH: error MT0091: This version of Xamarin.iOS requires the iOS 9.3 SDK (shipped with Xcode 7.3) when the managed linker is disabled. Either upgrade Xcode, or enable the managed linker.


Now the fix suggesting to upgrade to Xcode 7.3 is understandable and an easy way to fix the problem. However if I want to stay and use Xcode 7.1 it is not obvious to me what I need to change. If I open the iOS Build Options panel it is not obvious to me, as a non-expert iOS developer, what I need to do to enable the managed linker. To fix the build error I changed the Linker behaviour to "Link Framework SDKs Only". If the error message was something the following I could immediately change the correct setting without having to ask somebody or try different build options:

MTOUCH: error MT0091: This version of Xamarin.iOS requires the iOS 9.3 SDK (shipped with Xcode 7.3) when the managed linker is disabled. Either upgrade Xcode, or enable the managed linker by changing the Linker behaviour to Link Framework SDKs Only.
Comment 1 Vincent Dondain [MSFT] 2016-05-03 19:39:06 UTC
Seems like a valid request to me, I'll update the message.

Longer term we'll also have the ability to link MT errors to the docs. We could then detail a bit more how exactly users are supposed to change the linker behavior.
Comment 2 Kelly 2016-05-11 03:54:13 UTC
+1 and thank you Matt, this was the only thing I could find to help me solve this issue after upgrading.
Comment 3 Vincent Dondain [MSFT] 2017-01-09 03:18:35 UTC
Fixed in https://github.com/xamarin/xamarin-macios/pull/1453